# $Revision: 1.24 $, $Date: 2007/01/23 15:46:54 $
%define 	mod_name	frontpage
%define		apxs		/usr/sbin/apxs1
Summary:	The improved mod_frontpage module for the Apache Web server
Summary(pl):	Ulepszony modu mod_frontpage dla serwera Apache
Name:		apache1-mod_%{mod_name}
Version:	1.6.2
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/mirfak/mod_%{mod_name}_mirfak-%{version}.tar.bz2
# Source0-md5:	f7480918382067ce16e7afc40a633be4
Source1:	%{name}.pl
Patch0:		%{name}-mirfak.patch
URL:		http://mirfak.sourceforge.net/
BuildRequires:	%{__perl}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_frontpage <= 1.6.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is a module for the Apache HTTP Server
<http://httpd.apache.org/>. It replaces the Apache-FP patches and
module supplied with the FrontPage Server Extensions available from
Microsoft <http://www.microsoft.com/> and Ready-to-Run Software
<http://www.rtr.com/fpsupport/>.

Using this module allows you to use advanced features of the FrontPage
client with your Apache HTTP Server (e.g. creating FrontPage-extended
subwebs using the FrontPage client in contrast to creating them as
user "root" with "fpinstall.sh" or the "fpsrvadm.exe"-utility on the
system's shell).

%description -l pl
To jest modu dla serwera HTTP Apache. Zastpuje aty Apache-FP oraz
modu dodawany do FrontPage Server Extensions dostpnych od Microsoftu
i Ready-to-Run Software (<http://www.rtr.com/fpsupport/>).

Uycie tego moduu pozwala na uywanie zaawansowanych moliwoci
klienta FrontPage z serwerem Apache (np. tworzenie podstron z
rozszerzeniami FrontPage przy uyciu klienta FrontPage zamiast przez
uruchamiania fpinstall.sh lub fpsrvadm.exe z powoki systemowej).

%prep
%setup -q -n mod_%{mod_name}_mirfak-%{version}
%patch0 -p1

%build
%{__perl} %{SOURCE1}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_sbindir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install fp{exec,static} $RPM_BUILD_ROOT%{_sbindir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.6.2-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc *.html CHANGES FEATURES README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%attr(4750,root,root) %{_sbindir}/fpexec
%attr(755,root,root) %{_sbindir}/fpstatic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_frontpage.spec,v $
Revision 1.24  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.23  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.22  2006/04/14 16:50:13  glen
- use %service

Revision 1.21  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.19  2005/02/15 12:01:47  glen
- rel 2; STBR

Revision 1.18  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.17  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.16  2004/08/30 15:26:44  radek
- mv apache{,1}-* + minor fixes

Revision 1.15  2003/11/04 10:16:29  arekm
- typo

Revision 1.14  2003/11/04 10:14:05  arekm
- include docs, remove LICENSE

Revision 1.13  2003/11/04 10:10:30  arekm
- started update to mirfak (maintained) version of frontpage module

Revision 1.12  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.11  2003/08/06 16:11:32  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.9  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.8  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/08/18 14:59:57  blues
- release 2 - license fix, new doc

Revision 1.5  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.4  2002/04/23 11:27:04  kloczek
- release 1,
- remove INSTALL, LICENSE from %doc,
- some minor changes.

Revision 1.3  2002/04/22 09:40:56  qboosh
- pl description, cosmetics, removed grep from Prereq (not used)

Revision 1.2  2002/04/16 12:30:24  djrzulf
- added fpexec patch,

Revision 1.1  2002/04/16 12:03:15  djrzulf
- initial release, not ready yet !
- jezeli moglby ktos poprawic makefile'a bo nie wiem dlaczego nie da sie
  wyeksportowac flagi kompilatora, go gcc bierze caly czas systemu na ktorym
  sie kompiluje, w Makefile.patch usunalem CFLAGS z .PL, by sterowac flagami
  ze SPECa, ale i tak to niewiele pomaga, jedno sie kompiluje z 686 a drugie
  z np 386 ... :/
